<app-content-editable mat-dialog-title [value]="data.card.name" (save)="save($event)">
    <span class="full-width">{{data.card.name}}</span>
</app-content-editable>

<mat-dialog-content *ngIf="$customFields">
    <ng-container *ngFor="let customField of ($customFields | async)">
        <div class="field border p-2 mb-1">
            <span class="field-label">{{customField.label}}</span>
            <span class="flex-spacer"></span>
            <app-content-editable [value]="data.card.customFieldValues[customField.id!]"
                                  (save)="saveField(customField, $event)"
                                  [type]="customField.type">
                <span class="field-value">{{data.card.customFieldValues[customField.id!] || 'no value'}}</span>
            </app-content-editable>
        </div>
    </ng-container>
</mat-dialog-content>
